versionutils_tests.c File Reference
`#include "versionutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (versionutils)
| BeforeEach (versionutils)
| AfterEach (versionutils)
| Ensure (versionutils, cmp_versions_handles_null_inputs)
| Ensure (versionutils, cmp_versions_different_release_states)
| Ensure (versionutils, cmp_versions_dev_vs_development_equivalence)
| Ensure (versionutils, cmp_versions_identical_versions)
| Ensure (versionutils, cmp_versions_basic_format_differences)
| Ensure (versionutils, cmp_versions_text_vs_numeric_parts)
| Ensure (versionutils, cmp_versions_equivalent_formats)
| Ensure (versionutils, cmp_versions_undefined_text_parts)
| Ensure (versionutils, cmp_versions_text_vs_numeric)
| Ensure (versionutils, cmp_versions_release_candidate_vs_release)
| Ensure (versionutils, cmp_versions_release_candidate_numeric_comparison)
| Ensure (versionutils, cmp_versions_release_candidate_text_comparison)
| Ensure (versionutils, cmp_versions_date_format)
| Ensure (versionutils, cmp_versions_additional_numeric_comparison)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | versionutils |  | ) |

## BeforeEach()

BeforeEach | ( | versionutils |  | ) |

## Describe()

Describe | ( | versionutils |  | ) |

## Ensure() [1/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_additional_numeric_comparison | )

## Ensure() [2/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_basic_format_differences | )

## Ensure() [3/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_date_format | )

## Ensure() [4/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_dev_vs_development_equivalence | )

## Ensure() [5/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_different_release_states | )

## Ensure() [6/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_equivalent_formats | )

## Ensure() [7/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_handles_null_inputs | )

## Ensure() [8/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_identical_versions | )

## Ensure() [9/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_release_candidate_numeric_comparison | )

## Ensure() [10/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_release_candidate_text_comparison | )

## Ensure() [11/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_release_candidate_vs_release | )

## Ensure() [12/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_text_vs_numeric | )

## Ensure() [13/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_text_vs_numeric_parts | )

## Ensure() [14/14]

Ensure | ( | versionutils | ,
|  | cmp_versions_undefined_text_parts | )

## main()

int main | ( | int | argc,
|  | char ** | argv )